# Get sensor values by date range

Get all sensor updates in a date range

Endpoint: GET /sensors/{id}/updates/{start}/{end}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

  - `start` (string, required)

  - `end` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `updates` (array)

  - `updates.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `updates.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `updates.uuid` (string, required)

  - `updates.primaryPlatformId` (string, required)

  - `updates.createdAt` (string)
    The date and time this Entity has been created

  - `updates.updatedAt` (string)
    The date and time this Entity has been updated

  - `updates.language` (object)
    circular reference

  - `updates.type` (string)
    Enum: "generalEvent", "sensorUpdateEvent", "gateInEvent", "gateOutEvent", "arrivalEvent", "departureEvent", "stopEngineEvent", "startEngineEvent", "startWaitingEvent", "stopWaitingEvent", "stopMovingEvent", "startMovingEvent", "locationUpdateEvent", "updateEvent", "associationRemovedEvent", "associationCreatedEvent", "capacityChangeEvent"

  - `updates.lifeCycle` (string)
    Enum: "requested", "planned", "projected", "actual", "realized"

  - `updates.externalAttributes` (object)

  - `updates.identifiers` (array)

  - `updates.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `updates.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `updates.identifiers.uuid` (string, required)

  - `updates.identifiers.primaryPlatformId` (string, required)

  - `updates.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `updates.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `updates.identifiers.language` (object)
    circular reference

  - `updates.identifiers.name` (string)

  - `updates.identifiers.system` (string)

  - `updates.identifiers.value` (string)

  - `updates.identifiers.expiredAt` (string)

  - `updates.dateTime` (string)

  - `updates.sensor` (object)
    circular reference

  - `updates.value` (object, required)

  - `updates.value.value` (string)

  - `updates.value.unit` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


